Bug 8586 - Small bug in die if no mapping in framework for biblioitems.biblioitemnumber
Summary: Small bug in die if no mapping in framework for biblioitems.biblioitemnumber
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Mason James
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-07 10:31 UTC by Fridolin SOMERS
Modified: 2013-12-05 19:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.05 KB, patch)
2012-08-07 13:00 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 8586: Small bug in die if no mapping in framework for biblioitems.biblioitemnumber (1.11 KB, patch)
2012-08-09 01:56 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2012-08-07 10:31:57 UTC
If a framework does not have a biblio.biblionumber mapping, cataloguing dies saying : No biblionumber tag for framework "$frameworkcode".
It is the same for biblioitems.biblioitemnumber. But the code uses the biblio tag var instead of biblioitem tag.

This causes on cataloguing with this framework the message : 
Software error:
Tag "0" is not a valid tag. at /home/koha/src/C4/Biblio.pm line 3138

Very small patch.
Comment 1 Fridolin SOMERS 2012-08-07 13:00:02 UTC Comment hidden (obsolete)
Comment 2 Fridolin SOMERS 2012-08-07 13:04:13 UTC
Test plan : 
-----------
Create a new framework using default one.
Delete subfield definition mapped on biblioitems.biblioitemnumber.
Create a new record using this framework.
Without patch => software error
With patch => error message
Comment 3 Chris Cormack 2012-08-09 01:56:35 UTC
Created attachment 11461 [details] [review]
Bug 8586: Small bug in die if no mapping in framework for biblioitems.biblioitemnumber

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 4 Mason James 2012-08-10 07:34:09 UTC
(In reply to comment #3)
> Created attachment 11461 [details] [review]
> Bug 8586: Small bug in die if no mapping in framework for
> biblioitems.biblioitemnumber
> 
> Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

patch looks good, passing QA


mason@xen1:~/git/head$ koha-qa.pl
        * 4481197 Bug 8586: Small bug in die if no mapping in framework for biblioitems.biblioitemnumber
                C4/Biblio.pm

- perlcritic-progressive tests... OK
- perl -c syntax tests... OK
- xt/tt_valid.t tests... OK
- xt/author/valid-template.t tests... OK
Comment 5 Chris Cormack 2012-08-12 06:18:53 UTC
Pushed to 3.8.x, will be in 3.8.4
Comment 6 Paul Poulain 2012-09-03 13:21:28 UTC
Patch pushed to master. Already in stable, setting status accordingly.